[Darshan-commits] [Darshan] branch, trac-150-regression, updated. darshan-2.3.1-pre1-7-g4831753
Service Account
git at mcs.anl.gov
Tue Feb 3 15:55:01 CST 2015
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "".
The branch, trac-150-regression has been updated
via 4831753da8baf87b57d11f47b9d0d123632c0982 (commit)
from feb1fe1ede5a233948e1945538405eb5275b2222 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 4831753da8baf87b57d11f47b9d0d123632c0982
Author: Phil Carns <carns at mcs.anl.gov>
Date: Tue Feb 3 16:54:46 2015 -0500
test basic counters
-----------------------------------------------------------------------
Summary of changes:
darshan-test/regression/run-all.sh | 10 +++++-
darshan-test/regression/test-cases/mpi-io-test.sh | 39 +++++++++++++++++++-
2 files changed, 46 insertions(+), 3 deletions(-)
Diff of changes:
diff --git a/darshan-test/regression/run-all.sh b/darshan-test/regression/run-all.sh
index 09b1f49..987f238 100755
--- a/darshan-test/regression/run-all.sh
+++ b/darshan-test/regression/run-all.sh
@@ -10,6 +10,8 @@ fi
export DARSHAN_PATH=$1
export DARSHAN_TMP=$2
export DARSHAN_PLATFORM=$3
+# number of procs that most test jobs will use
+export DARSHAN_DEFAULT_NPROCS=4
# check darshan path
if [ ! -x $DARSHAN_PATH/bin/darshan-parser ]; then
@@ -42,9 +44,15 @@ DARSHAN_CC=`$DARSHAN_PLATFORM/setup-cc.sh`
if [ $? != 0 ]; then
exit 1
fi
-
export DARSHAN_CC
+# set up job execution wrapper for this platform
+DARSHAN_RUNJOB=`$DARSHAN_PLATFORM/setup-runjob.sh`
+if [ $? != 0 ]; then
+ exit 1
+fi
+export DARSHAN_RUNJOB
+
for i in `ls test-cases/*.sh`; do
$i
if [ $? != 0 ]; then
diff --git a/darshan-test/regression/test-cases/mpi-io-test.sh b/darshan-test/regression/test-cases/mpi-io-test.sh
index 13792f8..f2291c9 100755
--- a/darshan-test/regression/test-cases/mpi-io-test.sh
+++ b/darshan-test/regression/test-cases/mpi-io-test.sh
@@ -1,9 +1,44 @@
#!/bin/bash
-$DARSHAN_CC test-cases/src/mpi-io-test.c -o $DARSHAN_TMP/mpi-io-test
+PROG=mpi-io-test
+
+# set log file path; remove previous log if present
+export DARSHAN_LOGFILE=$DARSHAN_TMP/${PROG}.darshan.gz
+rm -f ${DARSHAN_LOGFILE}
+
+# compile
+$DARSHAN_CC test-cases/src/${PROG}.c -o $DARSHAN_TMP/${PROG}
+if [ $? != 0 ]; then
+ echo "Error: failed to compile ${PROG}" 1>&2
+ exit 1
+fi
+
+# execute
+$DARSHAN_RUNJOB $DARSHAN_TMP/${PROG} -f $DARSHAN_TMP/${PROG}.tmp.dat
+if [ $? != 0 ]; then
+ echo "Error: failed to execute ${PROG}" 1>&2
+ exit 1
+fi
+
+# parse log
+$DARSHAN_PATH/bin/darshan-parser $DARSHAN_LOGFILE > $DARSHAN_TMP/${PROG}.darshan.txt
if [ $? != 0 ]; then
- echo "Error: failed to compile mpi-io-test" 1>&2
+ echo "Error: failed to parse ${DARSHAN_LOGFILE}" 1>&2
+ exit 1
+fi
+
+# check results
+# in this case we want to confirm that both the MPI and POSIX open counters were triggered
+MPI_OPENS=`grep CP_INDEP_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -f 4`
+if [ ! $MPI_OPENS > 0 ]; then
+ echo "Error: MPI open count of $MPI_OPENS is incorrect" 1>&2
+ exit 1
+fi
+POSIX_OPENS=`grep CP_POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -f 4`
+if [ ! $POSIX_OPENS > 0 ]; then
+ echo "Error: POSIX open count of $POSIX_OPENS is incorrect" 1>&2
exit 1
fi
+
exit 0
hooks/post-receive
--
More information about the Darshan-commits
mailing list